Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v1
Class OActivity

    java.lang.Object
      org.apache.ode.bpel.rtrep.v1.OBase
          org.apache.ode.bpel.rtrep.v1.OAgent
              org.apache.ode.bpel.rtrep.v1.OActivity

All Implemented Interfaces:
  java.io.Serializable, ActivityModel

Direct Known Subclasses:
  OAssign, OCompensate, OEmpty, OFlow, OForEach, OInvoke, OPickReceive, ORepeatUntil, OReply, ORethrow, OScope, OSequence, OSwitch, OTerminate, OThrow, OWait, OWhile

    public abstract class OActivity

extends OAgent

Compiled represnetation of a BPEL activity.

See Also:
  Serialized Form

Field Summary
`OFailureHandling` | `failureHandling`
`OExpression` | `joinCondition`
`java.lang.String` | `name`
`java.util.Set<OLink>` | `sourceLinks`
`boolean` | `suppressJoinFailure`
`java.util.Set<OLink>` | `targetLinks`

Fields inherited from class org.apache.ode.bpel.rtrep.v1.OAgent
`incomingLinks, nested, outgoingLinks, variableRd, variableWr`

Fields inherited from class org.apache.ode.bpel.rtrep.v1.OBase
`debugInfo`

Constructor Summary
`OActivity(OProcess owner, OActivity parent)`

Method Summary
`OFailureHandling` | `getFailureHandling()`
`OActivity` | `getParent()`
`java.lang.String` | `getType()`
`void` | `setFailureHandling(OFailureHandling failureHandling)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ode.bpel.rtrep.v1.OBase
`equals, getExtensibilityElements, getId, getOwner, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### joinCondition

    public OExpression joinCondition

### suppressJoinFailure

    public boolean suppressJoinFailure

### sourceLinks

    public final java.util.Set<OLink> sourceLinks

### targetLinks

    public final java.util.Set<OLink> targetLinks

### name

    public java.lang.String name

### failureHandling

    public OFailureHandling failureHandling

Constructor Detail

### OActivity

    public OActivity(OProcess owner,
                     OActivity parent)

Method Detail

### getType

    public java.lang.String getType()

### getParent

    public OActivity getParent()

### getFailureHandling

    public OFailureHandling getFailureHandling()

### setFailureHandling

    public void setFailureHandling(OFailureHandling failureHandling)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `OBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD